Signed-off-by: Phil Sutter <[email protected]>
---
tests/monitor/run-tests.sh | 11 ++++++-----
1 file changed, 6 insertions(+), 5 deletions(-)
diff --git a/tests/monitor/run-tests.sh b/tests/monitor/run-tests.sh
index de19462438d64..9fd0e504d08c0 100755
--- a/tests/monitor/run-tests.sh
+++ b/tests/monitor/run-tests.sh
@@ -2,17 +2,18 @@
cd $(dirname $0)
+nft=../../src/nft
+mydiff() {
+ diff -w -I '^# ' "$@"
+}
+
testdir=$(mktemp -d)
if [ ! -d $testdir ]; then
echo "Failed to create test directory" >&2
exit 0
fi
-trap "rm -rf $testdir" EXIT
+trap "rm -rf $testdir; $nft flush ruleset" EXIT
-nft=../../src/nft
-mydiff() {
- diff -w -I '^# ' "$@"
-}
command_file=$(mktemp -p $testdir)
output_file=$(mktemp -p $testdir)
--
2.13.1
--
To unsubscribe from this list: send the line "unsubscribe netfilter-devel" in
the body of a message to [email protected]
More majordomo info at http://vger.kernel.org/majordomo-info.html